custom_metadata_has parameter with a JSON string that specifies the desired key:value pairs.
- JavaScript
- cURL
- Python
- Ruby
- PHP
- C#
Request:Response:
const connect_webviews = await seam.connectWebviews.list({
custom_metadata_has: {
internal_account_id: 'user-1',
},
})
console.log(connect_webviews)
[
{
connect_webview_id: '3c3f4c15-e7db-47c6-bc5a-1bf206ff269c',
url: 'https://connect.getseam.com/connect_webviews/view?connect_webview_id=3c3f4c15-e7db-47c6-bc5a-1bf206ff269c&auth_token=LrpMC4MVHAY8YJRcNFeX1nQcb7tGNwpot',
status: 'pending',
workspace_id: '398d80b7-3f96-47c2-b85a-6f8ba21d07be',
custom_metadata: { internal_account_id: 'user-1' },
...
},
...
]
Request:Response:
curl -X 'POST' \
'https://connect.getseam.com/connect_webviews/list' \
-H 'accept: application/json' \
-H 'Authorization: Bearer ${API_KEY}' \
-H 'Content-Type: application/json' \
-d '{
"custom_metadata_has": {
"internal_account_id": "user-1"
},
}'
{
"connect_webviews": [
{
"connect_webview_id": "3c3f4c15-e7db-47c6-bc5a-1bf206ff269c",
"url": "https://connect.getseam.com/connect_webviews/view?connect_webview_id=3c3f4c15-e7db-47c6-bc5a-1bf206ff269c&auth_token=LrpMC4MVHAY8YJRcNFeX1nQcb7tGNwpot",
"status": "pending",
"workspace_id": "398d80b7-3f96-47c2-b85a-6f8ba21d07be",
"custom_metadata": {
"id": "internal_id_1"
},
...
},
...
],
"ok": true
}
Request:Response:
connect_webviews = seam.connect_webviews.list(
custom_metadata_has = {
"internal_account_id": "user-1"
}
)
pprint(connect_webviews)
[
ConnectWebview(
workspace_id='398d80b7-3f96-47c2-b85a-6f8ba21d07be',
connect_webview_id='3c3f4c15-e7db-47c6-bc5a-1bf206ff269c',
status='pending',
url='https://connect.getseam.com/connect_webviews/view?connect_webview_id=xxxx&auth_token=yyyy',
custom_metadata={"internal_account_id": "user-1"},
...
),
...
]
Request:Response:
connect_webviews = client.connect_webviews.list(
custom_metadata_has: {
"internal_account_id": "user-1"
}
)
puts connect_webviews.inspect
[
<Seam::ConnectWebview:0x00438
connect_webview_id="3c3f4c15-e7db-47c6-bc5a-1bf206ff269c"
url="https://connect.getseam.com/connect_webviews/view?connect_webview_id=3c3f4c15-e7db-47c6-bc5a-1bf206ff269c&auth_token=LrpMC4MVHAY8YJRcNFeX1nQcb7tGNwpot"
status="pending"
workspace_id="398d80b7-3f96-47c2-b85a-6f8ba21d07be"
custom_metadata={"internal_account_id"=>"user-1"}
...
>,
...
]
Request:Response:
$webviews = $seam->connect_webviews->list(
custom_metadata_has: array('internal_account_id' => 'user-1')
);
echo json_encode($webviews);
[
{
"connect_webview_id": "3c3f4c15-e7db-47c6-bc5a-1bf206ff269c",
"url": "https://connect.getseam.com/connect_webviews/view?connect_webview_id=xxxx&auth_token=yyyy",
"status": "pending",
"workspace_id": "398d80b7-3f96-47c2-b85a-6f8ba21d07be",
"custom_metadata": {"internal_account_id": "user-1"},
...
},
...
]
Request:Response:
var customMetadata = new Dictionary<string, string>() {
{"internal_account_id", "user-1"}
};
seam.ConnectWebviews.List(
customMetadataHas: customMetadata
);
{
"connect_webview_id": "3874d8b4-4bb5-470a-9fc7-a54931a4b933",
"url": "https://connect.getseam.com/connect_webviews/view?connect_webview_id=3c3f4c15-e7db-47c6-bc5a-1bf206ff269c&auth_token=LrpMC4MVHAY8YJRcNFeX1nQcb7tGNwpot",
"workspace_id": "398d80b7-3f96-47c2-b85a-6f8ba21d07be",
"custom_metadata": {
"internal_account_id": "user-1"
},
...
}...

